| BSL430.NET 1.3.4

Public Member Functions | Properties | List of all members
BSL430_NET.FirmwareTools.FwTools.FwInfo Class Reference

FwInfo provides info about firmware, like format, first and last addresses, CRC, code size and reset vector. More...

## Public Member Functions
| FwInfo ()
| Init all property to defaults. More...
| FwInfo (long AddrFirst, long AddrLast, int SizeFull, int SizeBuffer=0, ICollection< long > FilledFFAddr=null)
| Init fake info with values specified as parameters, the rest is init to zero. More...
| FwInfo (ICollection< FwNode > Nodes, FwFormat Format, int SizeBuffer=0, long ResetVectorAddr=-1, ICollection< long > FilledFFAddr=null)
| Init info class to values calculated from valid firmware data. size_buffer is optional flag and ResetVectorAddr is usually 0xFFFE, address where reset vector is, and its also optional. More...
long? | SetResetVector (ICollection< FwNode > Nodes, long ResetVectorAddr)
| Sets Reset Vector property to valid data, calculated from nodes. ResetVectorAddr is usually 0xFFFE. More...
override string | ToString ()
| Formatted important properites describing current firmware. More...

## Properties
bool | Valid = false`[get]`
| If firmware is invalid, Valid = false. Otherwise Valid = True. More...
FwFormat | Format = FwFormat.AUTO`[get, set]`
| Firmware format. TI-TXT, Intel-HEX or ELF is supported. More...
long | AddrFirst = 0`[get, set]`
| First address in firmware, max 32-bit, usually 16-bit. More...
long | AddrLast = 0`[get, set]`
| Last address in firmware, max 32-bit, usually 16-bit. More...
int | SizeFull = 0`[get, set]`
| Total length of firmware, count of all bytes from first address to last address. More...
int | SizeCode = 0`[get, set]`
| Real count of all bytes in firmware parsed from file. More...
int | Crc16 = 0`[get, set]`
| CRC-16-CCITT is 16-bit crc value of all data bytes in firmware. More...
long? | ResetVector = 0`[get, set]`
| [MSP430 specific] Reset vector is address (value) located usually at 16-bit address 0xFFFE. More...
int | SizeBuffer = 0`[get, set]`
| [MSP430 specific] Help property for later firmware manipulation, like slicing buffer blocks. More...
List< long > | FilledFFAddr`[get, set]`
| When parsing FW, FillFF can be set, to output code in single piece. Addresses, that dont belong to original FW, are in this list. More...

## Detailed Description

FwInfo provides info about firmware, like format, first and last addresses, CRC, code size and reset vector.

## Constructor & Destructor Documentation

## ◆ FwInfo() [1/3]

BSL430_NET.FirmwareTools.FwTools.FwInfo.FwInfo | ( |  | ) |

Init all property to defaults.

## ◆ FwInfo() [2/3]

BSL430_NET.FirmwareTools.FwTools.FwInfo.FwInfo | ( | long | AddrFirst,
|  | long | AddrLast,
|  | int | SizeFull,
|  | int | SizeBuffer = `0`,
|  | ICollection< long > | FilledFFAddr = `null`
| ) |  |

Init fake info with values specified as parameters, the rest is init to zero.

## ◆ FwInfo() [3/3]

BSL430_NET.FirmwareTools.FwTools.FwInfo.FwInfo | ( | ICollection< FwNode > | Nodes,
|  | FwFormat | Format,
|  | int | SizeBuffer = `0`,
|  | long | ResetVectorAddr = `-1`,
|  | ICollection< long > | FilledFFAddr = `null`
| ) |  |

Init info class to values calculated from valid firmware data. size_buffer is optional flag and ResetVectorAddr is usually 0xFFFE, address where reset vector is, and its also optional.

## Member Function Documentation

## ◆ SetResetVector()

long? BSL430_NET.FirmwareTools.FwTools.FwInfo.SetResetVector | ( | ICollection< FwNode > | Nodes,
|  | long | ResetVectorAddr
| ) |  |

Sets Reset Vector property to valid data, calculated from nodes. ResetVectorAddr is usually 0xFFFE.

## ◆ ToString()

override string BSL430_NET.FirmwareTools.FwTools.FwInfo.ToString | ( |  | ) |

Formatted important properites describing current firmware.

## Property Documentation

## ◆ AddrFirst

long BSL430_NET.FirmwareTools.FwTools.FwInfo.AddrFirst = 0
| get set

First address in firmware, max 32-bit, usually 16-bit.

## ◆ AddrLast

long BSL430_NET.FirmwareTools.FwTools.FwInfo.AddrLast = 0
| get set

Last address in firmware, max 32-bit, usually 16-bit.

## ◆ Crc16

int BSL430_NET.FirmwareTools.FwTools.FwInfo.Crc16 = 0
| get set

CRC-16-CCITT is 16-bit crc value of all data bytes in firmware.

## ◆ FilledFFAddr

List<long> BSL430_NET.FirmwareTools.FwTools.FwInfo.FilledFFAddr
| get set

When parsing FW, FillFF can be set, to output code in single piece. Addresses, that dont belong to original FW, are in this list.

## ◆ Format

FwFormat BSL430_NET.FirmwareTools.FwTools.FwInfo.Format = FwFormat.AUTO
| get set

Firmware format. TI-TXT, Intel-HEX or ELF is supported.

## ◆ ResetVector

long? BSL430_NET.FirmwareTools.FwTools.FwInfo.ResetVector = 0
| get set

[MSP430 specific] Reset vector is address (value) located usually at 16-bit address 0xFFFE.

## ◆ SizeBuffer

int BSL430_NET.FirmwareTools.FwTools.FwInfo.SizeBuffer = 0
| get set

[MSP430 specific] Help property for later firmware manipulation, like slicing buffer blocks.

## ◆ SizeCode

int BSL430_NET.FirmwareTools.FwTools.FwInfo.SizeCode = 0
| get set

Real count of all bytes in firmware parsed from file.

## ◆ SizeFull

int BSL430_NET.FirmwareTools.FwTools.FwInfo.SizeFull = 0
| get set

Total length of firmware, count of all bytes from first address to last address.

## ◆ Valid

bool BSL430_NET.FirmwareTools.FwTools.FwInfo.Valid = false
| get

If firmware is invalid, Valid = false. Otherwise Valid = True.

The documentation for this class was generated from the following file:

- D:/PROJECTS/C#/BSL430.NET/src/BSL430.NET.FirmwareTools/FwTools.cs